Skip to main content
GET
/
v1
/
sub-wallet
/
transfer
Get Sub-Wallet Transfer Details
curl --request GET \
  --url https://api.openxswitch.com/v1/sub-wallet/transfer \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "wd_001",
    "workspaceId": "67804918f2b05ac82a129441",
    "clientTxId": null,
    "fromWalletId": "678a39d6b731ad1ad8832c8a",
    "toWalletId": "731ad1ad8832c8a....",
    "coin": "USDT",
    "amount": 100,
    "status": "success",
    "networkFee": 0,
    "tagMemo": null,
    "confirmed": false,
    "confirmedAt": null,
    "createdAt": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subWalletId
string
required

The unique identifier of the sub wallet

transferId
string
required

The unique identifier of the transfer

Response

success
boolean
required
Example:

true

data
object
required